> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project user data

> Allow you update User Data in a project.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples patch /projects/{project_id}/user_data/{user_data_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /projects/{project_id}/user_data/{user_data_id}:
    patch:
      tags:
        - User data
      summary: Update Project user data
      description: |
        Allow you update User Data in a project.
      operationId: put-project-user-data
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID or Slug
          schema:
            type: string
        - name: user_data_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                      enum:
                        - user_data
                    attributes:
                      type: object
                      properties:
                        description:
                          type: string
                          description: description dummy user data
                        content:
                          type: string
                          description: encoded content of the User Data
                  required:
                    - id
                    - type
              required:
                - data
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                      enum:
                        - user_data
                    attributes:
                      type: object
                      properties:
                        description:
                          type: string
                          description: description dummy user data
                        content:
                          type: string
                          description: encoded content of the User Data
                  required:
                    - id
                    - type
              required:
                - data
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/user_data_object'
      deprecated: true
      security:
        - Bearer: []
components:
  schemas:
    user_data_object:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/user_data_properties'
        meta:
          type: object
    user_data_properties:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - user_data
        attributes:
          type: object
          properties:
            description:
              type: string
              description: description of the User Data
            content:
              type: string
              description: content of the User Data
            project:
              $ref: '#/components/schemas/project_include'
            created_at:
              type: string
            updated_at:
              type: string
      required:
        - type
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````